org.apache.lucene.geo

## Class XYRectangle2D

- java.lang.Object
- - org.apache.lucene.geo.Rectangle2D
  - - org.apache.lucene.geo.XYRectangle2D

-     public class XYRectangle2D
      extends Rectangle2D

  2D rectangle implementation containing cartesian spatial logic.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.geo.Rectangle2D

      `bbox, maxX, maxY, minX, minY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XYRectangle2D(double minX, double maxX, double minY, double maxY)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XYRectangle2D` | `create(XYRectangle rectangle)` Builds a Rectangle2D from rectangle
    `boolean` | `crossesDateline()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.geo.Rectangle2D

      `containsTriangle, create, equals, hashCode, intersectRangeBBox, intersectsTriangle, queryContainsPoint, relateRangeBBox`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XYRectangle2D

          protected XYRectangle2D(double minX,
                                  double maxX,
                                  double minY,
                                  double maxY)

  - ### Method Detail

    - #### create

          public static XYRectangle2D create(XYRectangle rectangle)

      Builds a Rectangle2D from rectangle

    - #### crossesDateline

          public boolean crossesDateline()

      Overrides:
        `crossesDateline` in class `Rectangle2D`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.